Subject: Re: Difficulties in advertising a new branch to git newbies

From: "J. Bruce Fields" <[email-masked]>
Date: Wed, 31 Jan 2007 09:38:11 -0500

On Wed, Jan 31, 2007 at 09:31:00AM -0500, Nicolas Pitre wrote:
> It is not the commit which is dangerous when the head is detached.  It 
> is the checkout of another branch.  And this case is covered already 
> such that the checkout is refused unless you actually create a branch 
> for your detached head or you give -f to checkout to override the 
> protection.
> 
> Giving a warning at commit time is not the place where the user has to 
> be aware of the issue since it is indeed not the place where there is 
> any issue to worry about.

By the same argument, the original checkout of a non-branch is also not
the place for a warning; by the time you commit and then do a checkout
to switch away from the new commit, that original checkout may be a
distant memory.

--b.